[B050] Disease ID search

post
https://connect.patsnap.com/synapse/disease/autocomplete
Try in Sandbox

Input the disease name and get the disease ID

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
limit
Required
integer<int32>10
limit
prefix
Required
string非小细胞肺癌
keywords

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
id
string3beea980d93a4cc0abc864e27514601c
ID
display_name
array[ { "lang": "EN", "name": "Non-squamous non-small cell lung cancer" }, { "lang": "CN", "name": "非鳞状非小细胞肺癌" } ]
Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "id": "3beea980d93a4cc0abc864e27514601c",
      "display_name": [
        {
          "lang": "EN",
          "name": "Ranibizumab (Genentech)"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms